
Foreman - Bug #26586

A number of API calls are not logged with an identifier

04/11/2019 06:56 AM - Marek Hulán

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Logging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1698652 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1698652

Description of problem:

2019-03-27T13:57:02 [I|app|] Started GET "/katello/api/v2/ping" for xxx.xxx.xxx.xx at 2019-03-27 13:57:02 +0100

2019-03-27T13:57:02 [I|app|] Started GET "/node/xxxxxxx.net?format=yml" for xxx.xxx.xxx.xx at 2019-03-27 13:57:02 +0100

2019-03-27T13:57:03 [I|app|] Started GET "/katello/api/v2/ping" for xxx.xxx.xxx.xx at 2019-03-27 13:57:03 +0100

2019-03-27T13:57:03 [I|app|] Started GET "/node/xxxxxxxx.net?format=yml" for xxx.xxx.xxx.xx at 2019-03-27 13:57:03 +0100

2019-03-27T13:57:03 [I|app|] Started GET "/node/xxxxxxxx.net?format=yml" for xxx.xxx.xxx.xx at 2019-03-27 13:57:03 +0100

2019-03-27T13:57:03 [I|kat|3e97d] GET: https://xxxxxxxxxx.net/pulp/api/v2/users/: {"content_type"=>"application/json",

"accept"=>"application/json"}

2019-03-27T13:54:53 [I|app|] Started GET "/rhsm/status" for xxx.xxx.xxx.xx at 2019-03-27 13:54:53 +0100

2019-03-27T13:54:53 [I|app|] Started GET "/rhsm/" for xxx.xxx.xxx.xx at 2019-03-27 13:54:53 +0100

2019-03-27T13:54:53 [I|app|] Started GET "/rhsm/consumers/xxxxxxxxx/release" for xxx.xxx.xxx.xx at 2019-03-27 13:54:53 +0100

2019-03-27T13:54:53 [I|app|] Started GET "/rhsm/consumers/xxxxxxxxx/content_overrides" for xxx.xxx.xxx.xx at 2019-03-27

13:54:53 +0100

2019-03-27T13:54:53 [I|app|] Started GET "/rhsm/status" for xxx.xxx.xxx.xx at 2019-03-27 13:54:53 +0100

Version-Release number of selected component (if applicable):

6.4

This is a regression from 6.3 and breaks reporting tools used by our customers.

These seems as calls where we don't set current user for.

History

#1 - 04/15/2019 05:49 AM - Lukas Zapletal

- Subject changed from A number of API calls are not logged with an identifier

 to A number of API calls are not logged with an identifier

- Category changed from 19 to Logging

- Status changed from New to Duplicate

- Triaged changed from No to Yes

Dupe of #25619
